#kc-info {
	margin-bottom: 0 !important;
	padding-bottom: 0 !important;
}

#storybook-root {
	height: 100vh;
	overflow: auto;
}

.my-color {
	color: red;
}

.my-font {
	font-family: "Roboto", sans-serif;
}

.html {
	background: #ebedef !important;
}

.my-color {
	color: red;
}

.body {
	font-family: "Roboto", sans-serif;
	background: #ebedef !important;
	padding: 0 !important;
	position: relative;
	max-width: 100vw;
	max-height: 100vh;
	overflow: auto;
}

.ohbi-logo img {
	width: 6rem !important;
}

#kc-social-providers {
	padding-left: 0px !important;
	margin-top: 0px !important;
}

.form-header {
	margin-top: 16px;
}

.alert {
	/* margin: 0 40px; */
	margin-bottom: 16px;
}

.page-login {
	background: #ebedef;
	display: flex;
	justify-content: center;
	padding: 8rem 0px;
}

.card {
	height: auto;
	/* display: flex; */
	justify-content: start !important;
	width: 100%;
	border-radius: 0.375rem;
	padding: 0px;
	border: 0 solid #e5e7eb !important;
	box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
}

.kc__button {
	padding: 6px 1.5rem;
	border-radius: 0.375rem;
	border: none;
}

.kc__button--primary {
	background: #0173f1;
	color: #f8fafc;
}

.kc__input {
	border-radius: 0.375rem;
}

.kc__form-group {
	margin-left: 0 !important;
	margin-right: 0 !important;
}

#kc-form-buttons {
	margin-top: 1.5rem;
}

#kc-social-providers {
	margin: 16px 0;
}

.form-agree-term {
	display: flex;
	align-item: center;
}

.form-agree-term input {
	margin-right: 8px;
}

.form-agree-term label {
	font-weight: 400;
}

.form-agree-term label {
	margin-bottom: 0px;
}

.form-agree-term input {
	margin-top: 0;
}

.form-options {
	padding: 0;
}

.form-social-account {
	border: none !important;
	z-index: 10;
}

.form-logo-container {
	width: 100%;
	height: 100%;
	justify-content: center;
	align-items: center;
	border-left: 1px solid #e5e7eb;
}

.form-logo-container img {
	height: auto;
	max-width: 100%;
}

.form-logo {
	width: 100%;
}

.login-pf-page .login-pf-header h1 {
	color: #000e29;
	font-weight: 700;
	font-size: 24px;
	display: block;
}

.login-pf-page .login-pf-header h1 > p:last-child {
	display: block;
	margin-top: 8px;
	font-style: italic;
	font-size: 16px;
	font-weight: 400;
	color: #2c384aae;
}

.form-social-account__list {
	display: grid;
	column-gap: 10px;
}

.form-social-account__list-link {
	display: inline-block !important;
	margin-bottom: 8px !important;
}

.form-social-account__list-link a {
	display: block;
	background: none !important;
	border: 1px solid #e5e7eb !important;
	border-radius: 0.375rem !important;
	box-shadow: 0 1px 2px 0 rgb(0 0 0 / 0.05);
}

.form-social-account__list-link a::before {
	padding: 0 12px;
}

.form-social-account__list-link span {
	margin-right: 12px;
	text-overflow: ellipsis;

	overflow: hidden;
	white-space: nowrap;

	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
}

.social-divider {
	display: flex;
	align-items: center;
	margin: 24px 0;
}

.social-divider::before,
.social-divider::after {
	content: "";
	flex: 1;
	border-bottom: 1px solid #e5e7eb;
}

.social-divider::before {
	margin-right: 16px;
}

.social-divider::after {
	margin-left: 16px;
}

.right-reserved {
	color: rgba(44, 56, 74, 0.681);
	font-size: 10px;
	opacity: 0.5;
	text-align: center;
	margin-top: 48px;
	margin-bottom: 24px;
}

.form-link {
	color: #0088ce;
	cursor: pointer;
}

.form-link:hover {
	text-decoration: underline;
}

@media (min-width: 200px) {
	.login-pf-page .card {
		padding: 0px;
		margin: auto;
		max-width: 468px;
	}

	.form-logo-container {
		display: none;
	}

	.form-social-account__list:has(> :nth-child(2)) {
		grid-template-columns: repeat(1, 1fr);
	}

	.form-social-account__list:has(> :nth-child(3)) {
		grid-template-columns: repeat(2, 1fr);
	}

	#kc-content-wrapper {
		padding: 0 16px;
	}

	.form-header {
		padding: 0 16px;
	}

	.col-padding {
		padding: 0px;
	}
}

@media (min-width: 468px) {
	/* #kc-content-wrapper {
		padding: 0 24px; 
	}

	.form-header {
		padding: 0 24px;
	} */

	.col-padding {
		padding: 0 20px;
	}
}

@media (min-width: 768px) {
	/* #kc-content-wrapper {
		padding: 0 40px; 
	} */

	/* .form-header {
		padding: 0 40px;
	} */

	.login-pf-page .card {
		padding: 0px;
		margin: auto;
		max-width: 840px;
	}

	.login-pf-page .login-pf-social-section {
		min-width: 100%;
	}

	.form-social-account__list {
		margin-bottom: 12px !important;
	}

	.form-logo-container {
		display: flex;
		padding: 0 16px;
	}

	.form-social-account__list:has(> :nth-child(2)) {
		grid-template-columns: repeat(1, 1fr);
	}

	.form-social-account__list:has(> :nth-child(3)) {
		grid-template-columns: repeat(3, 1fr);
	}
}

.zocial.sso:before {
	content: "\f13d";
}

.kc__form-card {
	--tw-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1),
		0 8px 10px -6px rgb(0 0 0 / 0.1);
	--tw-shadow-colored: 0 20px 25px -5px var(--tw-shadow-color),
		0 8px 10px -6px var(--tw-shadow-color);
	box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
		var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
	border-radius: 0.5rem;
	padding-left: 0px !important;
	padding-right: 0px !important;
}

.rounded-lg {
	border-radius: 0.5rem;
}

.px-4 {
	padding-left: 1rem;
	padding-right: 1rem;
}

.flex {
	display: flex;
}

.justify-evenly {
	justify-content: space-evenly;
}

.items-center {
	align-items: center;
}

.h-screen {
	height: 100vh;
}

.min-w-screen {
	min-width: 100vw;
}

.bg-\[\#EBEDEF\] {
	background-color: #ebedef;
}

.w-full {
	width: 100%;
}

@media (min-width: 640px) {
	.sm\:w-\[506px\] {
		width: 506px;
	}
}

@media (min-width: 768px) {
	.md\:w-\[768px\] {
		width: 768px;
	}
}

.py-8 {
	padding-top: 2rem;
	padding-bottom: 2rem;
}

.px-6 {
	padding-left: 1.5rem;
	padding-right: 1.5rem;
}

.border-r {
	border-right: 1px solid #d2d6dc;
}

.\!gap-0 {
	gap: 0px !important;
}

.p-4 {
	padding: 1rem;
}

.mb-4 {
	margin-bottom: 1rem;
}

.\!text-base {
	font-size: 1rem /* 16px */ !important;
	line-height: 1.5rem /* 24px */ !important;
}

.\!visible {
	visibility: visible !important;
}

.\!opacity-100 {
	opacity: 1 !important;
}

.mt-12 {
	margin-top: 3rem /* 48px */;
}

.text-center {
	text-align: center;
}

.\!text-xs {
	font-size: 0.75rem /* 12px */ !important;
	line-height: 1rem /* 16px */ !important;
}

.hidden {
	display: none;
}

@media (min-width: 768px) {
	.md\:block {
		display: block !important;
	}
}

.italic {
	font-style: italic;
}

.\!mb-0 {
	margin-bottom: 0rem /* 8px */ !important;
}

.mt-4 {
	margin-top: 1rem;
}

.justify-center {
	justify-content: center;
}

.inline-block {
	display: inline-block;
}

.rounded {
	border-radius: 0.25rem;
}

.bg-blue-500 {
	--tw-bg-opacity: 1;
	background-color: rgb(59 130 246 / var(--tw-bg-opacity));
}

.px-4 {
	padding-left: 1rem;
	padding-right: 1rem;
}

.py-2 {
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
}

.font-semibold {
	font-weight: 600;
}

.font-bold {
	font-weight: 700;
}

.text-white {
	color: #fff;
}

.hover\:bg-blue-600:hover {
	--tw-bg-opacity: 1;
	background-color: rgb(37 99 235 / var(--tw-bg-opacity));
}

.hover\:\!text-slate-200:hover {
	--tw-text-opacity: 1 !important;
	color: rgb(226 232 240 / var(--tw-text-opacity)) !important;
}

.text-3xl {
	font-size: 1.875rem /* 30px */;
	line-height: 2.25rem /* 36px */;
}

.text-4xl {
	font-size: 2.25rem /* 36px */;
	line-height: 2.5rem /* 40px */;
}

.form-social-account__content {
	padding-left: 0px !important;
	padding-right: 0px !important;
}

.header-wrapper {
	display: none;
}

.kc__label-wrapper,
.kc__input-wrapper,
.kc__form-options,
.kc__form-buttons {
	padding-left: 0px !important;
	padding-right: 0px !important;
}


#zocial-microsoft:before{ content: "\f15d"; }
#zocial-ohbi:before{ content: "\f10c"; }